// this file is part of
// markonvert - Fortran unformatted record marker converter
//
// Copyright (C) 2007  Francesco Poli
//
// This work is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 2,
// as published by the Free Software Foundation.
// 
// This work is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this work; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#ifndef MK_REALCONVERTERS_H
#define MK_REALCONVERTERS_H

#include "from32reader.h"
#include "from64reader.h"
#include "to32writer.h"
#include "to64writer.h"


namespace mk
{
    // class for 32 bit marker --> 64 bit marker conversion
    class From32To64 : public From32Reader, public To64Writer { };

    // class for 64 bit marker --> 32 bit marker conversion
    class From64To32 : public From64Reader, public To32Writer { };
}

#endif // not MK_REALCONVERTERS_H
